Skip to main content
POST
/
api
/
v2
/
integration-capabilities
/
featureStore
/
{projectKey}
/
{environmentKey}
/
{integrationKey}
Create delivery configuration
curl --request POST \
  --url https://app.launchdarkly.com/api/v2/integration-capabilities/featureStore/{projectKey}/{environmentKey}/{integrationKey} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {
    "optional": "example value for optional formVariables property for sample-integration",
    "required": "example value for required formVariables property for sample-integration"
  },
  "name": "Sample integration",
  "on": false,
  "tags": [
    "example-tag"
  ]
}
'
{
  "_links": {
    "self": {
      "href": "<string>",
      "type": "<string>"
    },
    "parent": {
      "href": "<string>",
      "type": "<string>"
    },
    "project": {
      "href": "<string>",
      "type": "<string>"
    },
    "environment": {
      "href": "<string>",
      "type": "<string>"
    }
  },
  "_id": "12ab3c4d5ef1a2345bcde67f",
  "integrationKey": "example-integration-key",
  "projectKey": "default",
  "environmentKey": "development",
  "config": {},
  "on": true,
  "tags": [],
  "name": "Development environment configuration",
  "version": 1,
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

integrationKey
string<string>
required

The integration key

Body

application/json
config
object
required

The global integration settings, as specified by the formVariables in the manifest.json for this integration.

Example:

"{\"required\": \"example value for required formVariables property for sample-integration\", \"optional\": \"example value for optional formVariables property for sample-integration\"}"

on
boolean

Whether the integration configuration is active. Default value is false.

Example:

false

tags
string[]

Tags to associate with the integration

Example:
["example-tag"]
name
string

Name to identify the integration

Example:

"Sample integration"

Response

Integration delivery configuration response

The location and content type of related resources

_id
string
required

The integration ID

Example:

"12ab3c4d5ef1a2345bcde67f"

integrationKey
string
required

The integration key

Example:

"example-integration-key"

projectKey
string
required

The project key

Example:

"default"

environmentKey
string
required

The environment key

Example:

"development"

config
object
required

The delivery configuration for the given integration provider. Only included when requesting a single integration by ID. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

on
boolean
required

Whether the configuration is turned on

Example:

true

tags
string[]
required

List of tags for this configuration

Example:
[]
name
string
required

Name of the configuration

Example:

"Development environment configuration"

version
integer
required

Version of the current configuration

Example:

1

_access
object

Details on the allowed and denied actions for this configuration